# Uses of Interface
com.sun.source.doctree.BlockTagTree

Packages that use BlockTagTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).

- ## Uses of BlockTagTree in com.sun.source.doctree

  Subinterfaces of BlockTagTree in com.sun.source.doctree
  Modifier and Type
  Interface
  Description
  `interface`
  `AuthorTree`
  A tree node for an `@author` block tag.
  `interface`
  `DeprecatedTree`
  A tree node for an `@deprecated` block tag.
  `interface`
  `HiddenTree`
  A tree node for an `@hidden` block tag.
  `interface`
  `ParamTree`
  A tree node for an `@param` block tag.
  `interface`
  `ProvidesTree`
  A tree node for a `@provides` block tag.
  `interface`
  `ReturnTree`
  A tree node for an `@return` block tag.
  `interface`
  `SeeTree`
  A tree node for an `@see` block tag.
  `interface`
  `SerialDataTree`
  A tree node for an `@serialData` block tag.
  `interface`
  `SerialFieldTree`
  A tree node for an `@serialField` block tag.
  `interface`
  `SerialTree`
  A tree node for an `@serial` block tag.
  `interface`
  `SinceTree`
  A tree node for an `@since` block tag.
  `interface`
  `SpecTree`
  A tree node for an `@spec` block tag.
  `interface`
  `ThrowsTree`
  A tree node for an `@exception` or `@throws` block tag.
  `interface`
  `UnknownBlockTagTree`
  A tree node for an unrecognized block tag.
  `interface`
  `UsesTree`
  A tree node for an `@uses` block tag.
  `interface`
  `VersionTree`
  A tree node for an `@version` block tag.